<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    tools:background="#073388">

    <View
        android:id="@+id/input_bg"
        android:layout_width="0dp"
        android:layout_height="68dp"
        android:layout_marginEnd="11dp"
        android:background="@drawable/shape_rect_round_11_solid_white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/confirm"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/input"
        android:layout_width="0dp"
        android:layout_height="68dp"
        android:background="@null"
        android:hint="请输入密码"
        android:inputType="textPassword"
        android:maxLines="1"
        android:paddingStart="30dp"
        android:paddingEnd="30dp"
        android:textColor="#FF333333"
        android:textSize="27sp"
        app:layout_constraintBottom_toBottomOf="@id/input_bg"
        app:layout_constraintEnd_toStartOf="@id/clear"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/input_bg" />

    <TextView
        android:id="@+id/clear"
        android:layout_width="wrap_content"
        android:layout_height="68dp"
        android:layout_marginEnd="12dp"
        android:gravity="center"
        android:paddingStart="20dp"
        android:paddingEnd="20dp"
        android:text="清空"
        android:textColor="#FF333333"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="@id/input_bg"
        app:layout_constraintEnd_toEndOf="@id/input_bg"
        app:layout_constraintTop_toTopOf="@id/input_bg" />

    <Button
        android:id="@+id/confirm"
        android:layout_width="96dp"
        android:layout_height="68dp"
        android:background="@drawable/shape_rect_round_11_solid_0048a7"
        android:text="确定"
        android:textColor="@android:color/white"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>